---
title: draggable
slug: Web/HTML/Global_attributes/draggable
tags:
  - Global attributes
  - HTML
  - Reference
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<p><span class="seoSummary">The <strong>draggable</strong> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> is an enumerated attribute that indicates whether the element can be dragged, either with native browser behavior or the <a href="/en-US/docs/Web/API/HTML_Drag_and_Drop_API">HTML Drag and Drop API</a>.</span></p>

<p><code>draggable</code> can have the following values:</p>

<ul>
 <li><code>true</code>: the element can be dragged.</li>
 <li><code>false</code>: the element cannot be dragged.</li>
</ul>

<div class="notecard warning">
<p>This attribute is <em>enumerated</em> and not <em>Boolean</em>. A value of <code>true</code> or <code>false</code> is mandatory, and shorthand like <code>&lt;img draggable&gt;</code> is forbidden. The correct usage is <code>&lt;img draggable="false"&gt;</code>.</p>
</div>

<p>If this attribute is not set, its default value is <code>auto</code>, which means drag behavior is the default browser behavior: only text selections, images, and links can be dragged. For other elements, the event {{domxref('GlobalEventHandlers.ondragstart', 'ondragstart')}} must be set for drag and drop to work, as shown in this <a href="/en-US/docs/Web/API/HTML_Drag_and_Drop_API/Drag_operations">comprehensive example</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "interaction.html#the-draggable-attribute", "draggable")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>No change from latest snapshot, {{SpecName('HTML5.1')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5.2", "interaction.html#the-draggable-attribute", "draggable")}}</td>
   <td>{{Spec2("HTML5.2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5.1", "editing.html#the-draggable-attribute", "draggable")}}</td>
   <td>{{Spec2("HTML5.1")}}</td>
   <td>Snapshot of {{SpecName('HTML WHATWG')}}, initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.draggable")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>All <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</li>
</ul>
